## org.apache.poi.hwpf.model
Class SinglentonTextPiece

    java.lang.Object
      org.apache.poi.hwpf.model.PropertyNode<TextPiece>
          org.apache.poi.hwpf.model.TextPiece
              org.apache.poi.hwpf.model.SinglentonTextPiece

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable<TextPiece>

    @Internal
    public class SinglentonTextPiece

extends TextPiece

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.hwpf.model.PropertyNode
`PropertyNode.EndComparator, PropertyNode.StartComparator`

Field Summary

Fields inherited from class org.apache.poi.hwpf.model.PropertyNode
`_buf`

Constructor Summary
`SinglentonTextPiece(java.lang.StringBuilder buffer)`

Method Summary
`int` `bytesLength()` Returns the length, in bytes
`int` `characterLength()` Returns the length, in characters
`int` `getCP()` Returns the character position we start at.
`int` `getEnd()`
`int` `getStart()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.hwpf.model.TextPiece
`adjustForDelete, equals, getPieceDescriptor, getRawBytes, getStringBuffer, getStringBuilder, isUnicode, substring`

Methods inherited from class org.apache.poi.hwpf.model.PropertyNode
`clone, compareTo, hashCode, limitsAreEqual, setEnd, setStart`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SinglentonTextPiece

    public SinglentonTextPiece(java.lang.StringBuilder buffer)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### bytesLength

    public int bytesLength()

  Description copied from class: `TextPiece`
  Returns the length, in bytes

  Overrides:
    `bytesLength` in class `TextPiece`

### characterLength

    public int characterLength()

  Description copied from class: `TextPiece`
  Returns the length, in characters

  Overrides:
    `characterLength` in class `TextPiece`

### getCP

    public int getCP()

  Description copied from class: `TextPiece`
  Returns the character position we start at.

  Overrides:
    `getCP` in class `TextPiece`

### getEnd

    public int getEnd()

  Overrides:
    `getEnd` in class `PropertyNode<TextPiece>`
  Returns:
    The offset of the end of this property's text.

### getStart

    public int getStart()

  Overrides:
    `getStart` in class `PropertyNode<TextPiece>`
  Returns:
    The start offset of this property's text.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `TextPiece`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.